diff --git a/src/wizard/WizardNavigation.js b/src/wizard/WizardNavigation.js
index 0e97b99..add31a1 100644
--- a/src/wizard/WizardNavigation.js
+++ b/src/wizard/WizardNavigation.js
@@ -7,7 +7,7 @@ import * as R from "ramda"
 
 function WizardNavigation(props) {
   const query = useParams()
-
+  const { i18n } = useSelector((state) => state.locale)
   const { step } = props
 
   const selectAction = (state) => state.wizard.all_actions
@@ -59,24 +59,24 @@ function WizardNavigation(props) {
     createBreadcrumbItem(
       "Duration",
       step.slice(-1) > "2" ? "enable" : "disabled",
-      query.duration === "few_hours" ? "Few Hours" : "Several Days"
+      query.duration === "few_hours" ? i18n.t("phrases.Few_hours") : i18n.t("phrases.Several_days")
     ),
     createBreadcrumbItem(
       "Provider",
       step.slice(-1) > "3" ? "enable" : "disabled",
       query.provider === "fedora_manual_testing"
-        ? "Fedora Manual Testing"
+        ? i18n.t("phrases.Fedora_Manual_Testing")
         : query.provider === "easyfix"
-        ? "Easyfix"
-        : "Bodhi Karma"
+        ? i18n.t("words.Easyfix")
+        : i18n.t("phrases.Bodhi_Karma")
     ),
     createBreadcrumbItem(
       "Actions",
       step.slice(-1) > "4" ? "enable" : "disabled",
       query.action === "manual_testing"
-        ? "Manual Testing"
+        ? i18n.t("words.Manual_Testing")
         : query.action === "beginner_guide"
-        ? "Beginner Guide"
+        ? i18n.t("words.Beginner_Guide")
         : query.action
         ? getTags().filter((a) => a.toLowerCase() === decodeURIComponent(query.action))[0] ||
           query.action.charAt(0).toUpperCase() + query.action.slice(1)
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
index cd6ae98..6fa7453 100644
--- a/src/wizard/step/Step1.js
+++ b/src/wizard/step/Step1.js
@@ -1,8 +1,10 @@
 import React, { useState } from "react"
+import { useSelector } from "react-redux"
 import { useHistory } from "react-router-dom"
 import { Card, CardText, Col, Row } from "reactstrap"
 
 const Step1 = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
   const [selectedItem, setItem] = useState()
   const history = useHistory()
   const handleStep = (option) => {
@@ -23,9 +25,9 @@ const Step1 = (props) => {
             handleStep("few_hours")
           }}>
           <h1 className="padded">
-            Few Hours <i className="fas fa-calendar-day"></i>
+            {i18n.t("phrases.Few_hours")} <i className="fas fa-calendar-day"></i>
           </h1>
-          <CardText>Task that can take up to Few Hours </CardText>
+          <CardText>{i18n.t("phrases.Task_that_can_take_up_to_Few_Hours")} </CardText>
         </Card>
       </Col>
       <Col sm="6">
@@ -40,9 +42,9 @@ const Step1 = (props) => {
             handleStep("several_days")
           }}>
           <h1 className="padded">
-            Several Days <i className="fas fa-calendar-week"></i>
+            {i18n.t("phrases.Several_days")} <i className="fas fa-calendar-week"></i>
           </h1>
-          <CardText>Task that can take up to Several Days </CardText>
+          <CardText>{i18n.t("phrases.Task_that_can_take_up_to_Several_Days")} </CardText>
         </Card>
       </Col>
     </Row>
diff --git a/src/wizard/step/Step3.js b/src/wizard/step/Step3.js
index 74787c8..90f9220 100644
--- a/src/wizard/step/Step3.js
+++ b/src/wizard/step/Step3.js
@@ -8,6 +8,7 @@ import { useHistory } from "react-router"
 
 const Step3 = (props) => {
   const { query } = props
+  const { i18n } = useSelector((state) => state.locale)
 
   const [selectedItem, setItem] = useState()
   const history = useHistory()
@@ -60,8 +61,8 @@ const Step3 = (props) => {
                 handleStep("beginner_guide")
               }}>
               <CardBody>
-                <h1 className="padded">I'm a complete beginner</h1>
-                <CardText> please guide to me this </CardText>
+                <h1 className="padded">{i18n.t("phrases.Im_a_complete_beginner")}</h1>
+                <CardText> {i18n.t("phrases.please_guide_to_me_this")} </CardText>
               </CardBody>
             </Card>
           </Col>
@@ -72,8 +73,8 @@ const Step3 = (props) => {
                 handleStep("manual_testing")
               }}>
               <CardBody>
-                <h1 className="padded">I've already done this</h1>
-                <CardText>Show me the test cases </CardText>
+                <h1 className="padded">{i18n.t("phrases.Ive_already_done_this")}</h1>
+                <CardText>{i18n.t("phrases.Show_me_the_test_cases")} </CardText>
               </CardBody>
             </Card>
           </Col>
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 6b7b3ca..63c2a5a 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -7,6 +7,7 @@ import Manual from "../Manual"
 
 const Step4 = (props) => {
   const { query } = props
+  const { i18n } = useSelector((state) => state.locale)
 
   const history = useHistory()
 
@@ -88,64 +89,59 @@ const Step4 = (props) => {
       case "Installation":
         return (
           <div className="text-left">
-            The <strong>Installation</strong> testcases generally deal with a part of the
-            installation procedure.
+            {i18n.t("words.the")} <strong>{i18n.t("words.Installation")}</strong>{" "}
+            {i18n.t("phrases.Installation_text")}
             <br />
-            You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
-            to run the test.
+            {i18n.t("phrases.Installation_text1")}
             <br />
-            <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
-            machine. Be sure to read the Description of the testcase carefully.
+            <i>{i18n.t("words.Note")}</i> {i18n.t("phrases.Installation_text2")}
           </div>
         )
 
       case "Desktop":
         return (
           <div className="text-left">
-            The <strong>Desktop</strong> testcases cover basic functionality of the desktop
-            environment.
+            {i18n.t("words.the")} <strong>{i18n.t("words.Desktop")}</strong>{" "}
+            {i18n.t("phrases.Desktop_text")}
             <br />
-            You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
-            image instead.
+            {i18n.t("phrases.Desktop_text1")}
           </div>
         )
 
       case "Base":
         return (
           <div className="text-left">
-            The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
-            after a clean installation.
+            {i18n.t("words.the")} <strong>{i18n.t("words.Base")}</strong>{" "}
+            {i18n.t("phrases.base_text")}
             <br />
-            Most times, you will be asked to perform a clean Fedora installation. You can use
-            either Virtual or Bare-metal machine.
+            {i18n.t("phrases.base_text1")}
             <br />
-            <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine. No
-            need to reinstall for every testcase.
+            <i>{i18n.t("phrases.Pro_tip")}:</i> {i18n.t("phrases.base_text3")}
           </div>
         )
 
       case "Server":
         return (
           <div className="text-left">
-            The <strong>Server</strong> testcases usually require multiple machines to test the
-            server-client behaviour, and might feel a bit advanced.
+            {i18n.t("words.the")} <strong>{i18n.t("words.Server")}</strong>{" "}
+            {i18n.t("phrases.Server_text")}
           </div>
         )
 
       case "Cloud":
         return (
           <div className="text-left">
-            Even thought the <strong>Cloud</strong> testcases are best done in the specific
-            environments like EC2 or Openstack, you can also perform them locally using Testcloud.
+            {i18n.t("cloud_text")} <strong>{i18n.t("words.Cloud")}</strong>{" "}
+            {i18n.t("phrases.cloud_text1")}
             <br />
-            Have a look at the{" "}
+            {i18n.t("phrases.cloud_text2")}{" "}
             <a
               target="_blank"
               rel="noopener noreferrer"
               href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-              Cloud provider setup
+              {i18n.t("phrases.Cloud_provider_setup")}
             </a>{" "}
-            guides for more details.
+            {i18n.t("phrases.guides_for_more_details")}
           </div>
         )
 
